Self-managed OS requirements

Hi,

We want to try-out Singlestore on our own hardware (2x Xeon Gold, 300+GB ram, loads of SSD-storage) running on VMware esxi 7.

The documentation refers to Debian 8 and 9, but are these not really outdated for a new cluster? as 10 and 11 are out.

What about Ubuntu 22 support, does that need any specific adjustments to a non-customized base install?

I’ll check with engineering regarding the latest support for Debian.

We don’t officially support Ubuntu. But we know people are using a variety of Linux systems, unsupported, and the code comes up and runs, provided that the minimum kernel version requirement is satisfied, as documented here.

https://docs.singlestore.com/db/v7.8/en/reference/configuration-reference/cluster-configuration/system-requirements-and-recommendations.html?action=version-change

1 Like